/*
    BASIC SETUP
*/

:root {
    --main-fg-color: #e67e22;
    --darker-fg-color: #bf6516;
    --main-bg-color: #fff;
    --darker-bg-color: #f4f4f4;
    --light-text-color: #fff;
    --dark-text-color: #555;
}

* {
    margin: 0;
    box-sizing: border-box;
    padding: 0;
}

html,
body {
    overflow-x: hidden;
    background-color: var(--main-bg-color);
    font-size: 20px;
    font-family: 'Lato', 'Arial', sans-serif;
    font-weight: 300;
    text-rendering: optimizeLegibility;
    color: var(--dark-text-color);
    scroll-behavior: smooth;
}

.clearfix {zoom: 1}
.clearfix:after {
    content: "";
    clear: both;
    display: block;
    height: 0;
    visibility: hidden;
}

/*
    REUSABLE COMPONENTS
*/

.row {
    max-width: 1140px;
    margin: 0 auto;
}

section {
    padding: 80px 0;
}

.box {
    padding: 1%;
}

/*
    HEADINGS
*/

h1,
h2,
h3 {
    font-weight: 300;
    text-transform: uppercase;
}

h1 {
    margin-top: 0;
    margin-bottom: 20px;
    font-size: 240%;
    word-spacing: 4px;
    letter-spacing: 1px;
    color: var(--light-text-color);
}

h2 {
    margin-bottom: 30px;
    font-size: 180%;
    text-align: center;
    word-spacing: 2px;
    letter-spacing: 1px;
}

h2:after {
    content: "";
    display: block;
    margin: 30px auto 0;
    height: 2px;
    width: 100px;
    background-color: var(--main-fg-color);
}

h3 {
    margin-bottom: 15px;
    font-size: 110%;
}

/*
    PARAGRAPHS
*/

.long-copy {
    margin: 0 auto;
    width: 70%;
    line-height: 145%;
}

.box > p {
    font-size: 90%;
    line-height: 145%;
}

/*
    ICONS
*/

.icon-big {
    display: block;
    margin-bottom: 10px;
    font-size: 350%;
    --ionicon-stroke-width: 1rem;
    color: var(--main-fg-color);
}

.icon-small-custom {
    margin-top: -4px;
    margin-right: 10px;
    width: 30px;
    font-size: 110%;
    line-height: 110%;
    vertical-align: middle;
    color: var(--main-fg-color);
}

/*
    LINKS
*/

a:link,
a:visited {
    transition: border-bottom .2s, color .2s;
    border-bottom: 1px solid var(--main-fg-color);
    padding-bottom: 1px;
    text-decoration: none;
    color: var(--main-fg-color);
}

a:hover,
a:active {
    border-bottom: 1px solid transparent;
    color: var(--dark-text-color);
}

/*
    BUTTONS
*/

.btn:link,
.btn:visited,
input[type=submit] {
    display: inline-block;
    transition: border .2s, background-color .2s, color .2s;
    margin-right: 15px;
    border-radius: 200px;
    padding: 10px 30px;
    font-weight: 300;
    text-decoration: none;
    color: var(--light-text-color);
}

.btn-full:link,
.btn-full:visited,
input[type=submit]  {
    border: 1px solid var(--main-fg-color);
    background-color: var(--main-fg-color);
    color: var(--light-text-color);
}

.btn-ghost:link,
.btn-ghost:visited {
    border: 1px solid var(--main-fg-color);
    color: var(--main-fg-color);
}

.btn:hover,
.btn:active,
input[type=submit]:hover,
input[type=submit]:active {
    border: 1px solid var(--darker-fg-color);
    background-color: var(--darker-fg-color);
}

.btn-ghost:hover,
.btn-ghost:active {
    color: var(--light-text-color);
}

/*
    HEADER
*/

header {
    height: 100vh;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    background-image: linear-gradient(rgba(0,0,0,.7), rgba(0,0,0,.7)), url("img/hero.jpg");
}

.hero-text-box {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 1140px;
}

/* Main navigation */

nav {
    transition: all 0.5s;
}

.logo,
.main-nav {
    transform: translate(0, -50%);
    margin-top: 70px;
}

.logo {
    float: left;
    height: 100px;
    width: auto;
}

.logo-black {
    float: left;
    display: none;
    margin: 5px 0;
    height: 50px;
    width: auto;
}

.main-nav {
    float: right;
    list-style: none;
}

.main-nav > li {
    display: inline-block;
    margin-left: 40px;
}

.main-nav > li > a:link,
.main-nav > li > a:visited {
    transition: border .2s;
    border-bottom: 2px solid transparent;
    padding: 8px 0;
    font-size: 90%;
    text-transform: uppercase;
    text-decoration: none;
    color: var(--light-text-color);
}

.main-nav > li > a:hover,
.main-nav > li > a:active {
    border-bottom: 2px solid var(--main-fg-color);
}

/* Mobile navigation */
.mobile-nav-icon {
    float: right;
    margin-top: 30px;
    cursor: pointer;
    display: none;
}

.mobile-nav-icon ion-icon {
    font-size: 200%;
    color: var(--light-text-color);
}

/* Sticky navigation */
.sticky {
    position: fixed;
    z-index: 9999;
    top: 0;
    left: 0;
    box-shadow: 0 2px 2px #efefef;
    width: 100%;
    background-color: rgba(255,255,255,.98);
}

.sticky .logo-black {
    display: block;
}

.sticky .logo {
    display: none;
}

.sticky .main-nav {
    margin-top: 30px;
}

.sticky .main-nav > li > a:link,
.sticky .main-nav > li > a:visited {
    padding: 17px 0;
    color: var(--dark-text-color);
}

/*
    FEATURES
*/

.section-features .long-copy {
    margin-bottom: 40px;
}

/*
    MEALS
*/

.section-meals {
    padding: 0;
}

.meals-showcase {
    width: 100%;
    padding: 0;
    list-style: none;
}

.meals-showcase > li {
    float: left;
    display: block;
    width: 25%;
}

.meal-photo {
    overflow: hidden;
    margin: 0;
    width: 100%;
    background-color: #000;
}

.meal-photo > img {
    opacity: 0.7;
    transform: scale(1.1);
    transition: transform .5s, opacity .5s;
    width: 100%;
    height: auto;
}

.meal-photo > img:hover {
    opacity: 1;
    transform: scale(1.03);
}

/*
    HOW IT WORKS
*/

.section-steps {
    background-color: var(--darker-bg-color);
}

.steps-box:first-child {
    margin-top: 30px;
    padding-right: 3%;
    text-align: right;
}

.steps-box:last-of-type {
    margin-top: 70px;
    padding-left: 3%;
}

.app-screen {
    width: 40%;
}

.works-step {
    margin-bottom: 50px;
}

.works-step:last-of-type {
    margin-bottom: 80px;
}

.works-step > div {
    float: left;
    display: inline-block;
    margin-right: 25px;
    border: 2px solid var(--main-fg-color);
    border-radius: 50%;
    height: 54px;
    width: 54px;
    padding: 5px;
    font-size: 150%;
    text-align: center;
    color: var(--main-fg-color);
}

.btn-app:link,
.btn-app:visited {
    border: 0;
}

.btn-app > img {
    height: 50px;
    width: auto;
    margin-right: 10px;
}

/*
    CITIES
*/

.box > img {
    margin-bottom: 15px;
    width: 100%;
    height: auto;
}

.city-feature {
    margin-bottom: 5px;
}

/*
    TESTIMONIALS
*/

.section-testimonials {
    background-size: cover;
    background-attachment: fixed;
    background-image: linear-gradient(rgba(0,0,0,.8), rgba(0,0,0,.8)), url(img/back-customers.jpg);
    color: var(--light-text-color);
}

blockquote {
    position: relative;
    margin-top: 40px;
    padding: 2%;
    line-height: 145%;
    font-style: italic;
}

blockquote:before {
    content: "\201C";
    position: absolute;
    top: -5px;
    left: -5px;
    display: block;
    font-size: 500%;
}

cite {
    display: block;
    margin-top: 25px;
    font-size: 90%;
}

cite > img {
    margin-right: 10px;
    border-radius: 50%;
    height: 45px;
    vertical-align: middle;
}

/*
    PLANS
*/

.section-plans {
    background-color: var(--darker-bg-color);
}

.plan-box {
    margin: auto;
    box-shadow: 0 2px 2px #efefef;
    border-radius: 5px;
    width: 90%;
    background-color: var(--main-bg-color);
}

.plan-box > div {
    border-bottom: 1px solid #e8e8e8;
    padding: 15px;
}

.plan-box ul {
    list-style: none;
}

.plan-box ul li {
    padding: 5px 0;
}

.plan-box > div:first-child {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    background-color: #fcfcfc;
}

.plan-box > div:last-child {
    border: 0;
    text-align: center;
}

.plan-price {
    margin-bottom: 10px;
    font-size: 300%;
    font-weight: 100;
    color: var(--main-fg-color);
}

.plan-price > span {
    font-size: 30%;
    font-weight: 300;
}

.plan-price-meal {
    font-size: 80%;
}

/*
    FORM
*/

.contact-form {
    margin: 0 auto;
    width: 60%;
}

input[type=text],
input[type=email],
select,
textarea {
    border: 1px solid #ccc;
    border-radius: 3px;
    padding: 7px;
    width: 100%;
}

textarea {
    height: 100px;
}

input[type=submit] {
    cursor: pointer;
}

input[type=checkbox] {
    margin: 10px 5px 10px 0;
}

*:focus {
    outline: none;
}

/*
    FOOTER
*/

footer {
    padding: 50px;
    background-color: #333;
    font-size: 80%;
}

.footer-nav {
    list-style: none;
    float: left;
}

.social-links {
    list-style: none;
    float: right;
}

.footer-nav li,
.social-links li {
    display: inline-block;
    margin-right: 20px;
}

.footer-nav li:last-child,
.social-links li:last-child {
    margin-right: 0;
}

.footer-nav li a:link,
.footer-nav li a:visited,
.social-links li a:link,
.social-links li a:visited {
    transition: color .2s;
    border: 0;
    text-decoration: none;
    color: #888;
}
.footer-nav li a:hover,
.footer-nav li a:active {
    color: #ddd;
}

.social-links li a:link,
.social-links li a:visited {
    font-size: 160%;
}

.social-links li [name="logo-facebook"],
.social-links li [name="logo-twitter"],
.social-links li [name="logo-instagram"] {
    transition: color .2s;
}

.social-links li [name="logo-facebook"]:hover,
.social-links li [name="logo-facebook"]:active {
    color: #3b5998;
}

.social-links li [name="logo-twitter"]:hover,
.social-links li [name="logo-twitter"]:active {
    color: #00aced;
}

.social-links li [name="logo-instagram"]:hover,
.social-links li [name="logo-instagram"]:active {
    color: #517fa4;
}

footer p {
    margin-top: 20px;
    text-align: center;
    color: #888;
}

/*
    ANIMATIONS
*/

.section-features .col,
.app-screen {
    opacity: 0;
}

.section-features .col.animated,
.app-screen.animated {
    opacity: 1;
}